Support » Fixing WordPress » Error with 3.5 Update in SQL Syntax

  • I have this.. and more of this in the error log:

    [29-Dec-2012 20:36:16 UTC] Error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘)’ at line 1 de la base de datos de WordPress para la consulta SELECT COUNT(tt.term_id) FROM wp_term_taxonomy tt, wp_term_relationships tr WHERE tt.taxonomy = ‘category’ AND tt.term_taxonomy_id = tr.term_taxonomy_id AND tr.object_id = 7204 AND tt.term_id IN () realizada por require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), include(‘/themes/MyTheme/single.php’), wp_related_posts, wp_get_related_posts, wp_rp_get_related_posts, wp_rp_should_exclude

    …..

    [moderated]

    Any ideas? Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • Moderator Mark Ratledge

    (@songdogtech)

    Forum Moderator

    That’s a SQL error on your theme that is called MyTheme on line 1 of single.php. Who developed the theme?

    The theme work perfect until the change of version of WordPress…

    <?php
    global $options;
    foreach ($options as $value) {
    if (get_settings( $value[‘id’] ) === FALSE) { $$value[‘id’] = $value[‘std’]; } else { $$value[‘id’] = get_settings( $value[‘id’] ); }
    }

    That’s the first code in single.php

    something change in sql and wordpress versions?
    Thanks in advance!

    Moderator Mark Ratledge

    (@songdogtech)

    Forum Moderator

    something change in sql and wordpress versions?

    No, your theme is broken. Who developed the theme?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error with 3.5 Update in SQL Syntax’ is closed to new replies.